<nb-card accent="primary">
  <nb-card-header>
    <h5 id="title" class="title">iWallet</h5>
  </nb-card-header>
  <nb-card-body>
    <nb-alert *ngIf="showMessages.error && errors?.length && !submitted" outline="danger" role="alert">
      <p class="alert-title"><b>Oh snap!</b></p>
      <ul class="alert-message-list">
        <li *ngFor="let error of errors" class="alert-message">{{ error }}</li>
      </ul>
    </nb-alert>

    <nb-alert *ngIf="showMessages.success && messages?.length && !submitted" outline="success" role="alert">
      <p class="alert-title"><b>Hooray!</b></p>
      <ul class="alert-message-list">
        <li *ngFor="let message of messages" class="alert-message">{{ message }}</li>
      </ul>
    </nb-alert>

    <form (ngSubmit)="auth()" #form="ngForm" aria-labelledby="title">
      <div class="form-control-group">
        <input nbInput
               fullWidth
               [(ngModel)]="user.address"
               #address="ngModel"
               name="address"
               id="input-address"
               placeholder="Id"
               autofocus
               [status]="address.dirty ? (address.invalid  ? 'danger' : 'success') : ''"
               [required]="getConfigValue('forms.validation.address.required')"
               [attr.aria-invalid]="address.invalid && address.touched ? true : null">
        <ng-container *ngIf="address.invalid && address.touched">
          <p class="error-message" *ngIf="address.errors?.required">
            Id is required!
          </p>
        </ng-container>
      </div>

      <div class="form-control-group" style="margin-top: 20px;">
        <input nbInput
               fullWidth
               [(ngModel)]="user.password"
               #password="ngModel"
               name="password"
               type="password"
               id="input-password"
               placeholder="Password"
               [status]="password.dirty ? (password.invalid  ? 'danger' : 'success') : ''"
               [required]="getConfigValue('forms.validation.password.required')"
               [attr.aria-invalid]="password.invalid && password.touched ? true : null">
        <ng-container *ngIf="password.invalid && password.touched ">
          <p class="error-message" *ngIf="password.errors?.required">
            Password is required!
          </p>
          <p class="error-message" *ngIf="password.errors?.minlength || password.errors?.maxlength">
            Password should contains
            from {{ getConfigValue('forms.validation.password.minLength') }}
            to {{ getConfigValue('forms.validation.password.maxLength') }}
            characters
          </p>
        </ng-container>
      </div>
      <div class="btn-group">

        <button type="button" style="margin-top: 20px; ;"
                nbButton
                fullWidth
                size="small"
                status="disabled"
                (click)="close()">
          Cancel
        </button>
        <button style="margin-top: 20px; margin-left: 75px"
                nbButton
                fullWidth
                size="small"
                status="primary"
                [disabled]="submitted || !form.valid"
                [class.btn-pulse]="submitted">
          Confirm
        </button>
      </div>
    </form>
  </nb-card-body>
</nb-card>
